/**
 * Copyright (c) 2011, REMPL.com
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1) Redistributions of source code must retain the above copyright
 * notice, this list of conditions and the following disclaimer.
 * 2) Redistributions in binary form must reproduce the above
 * copyright notice, this list of conditions and the following
 * disclaimer in the documentation and/or other materials provided
 * with the distribution.
 * 3) Neither the name of the REMPL.com nor the names of its
 * contributors may be used to endorse or promote products derived
 * from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package com.rempl.readers.its.bridge;

/**
 * Author of a change.
 *
 * @author Yegor Bugayenko (yegor@rempl.com)
 * @version $Id: Person.java 960 2011-03-27 21:27:33Z yegor256@yahoo.com $
 */
public final class Person {

    /**
     * Name of the person.
     */
    private String name;

    /**
     * Email of the person.
     */
    private String email;

    /**
     * Public ctor.
     * @param pemail The email
     */
    public Person(final String pemail) {
        this.name = pemail;
        this.email = pemail;
    }

    /**
     * Public ctor.
     * @param pname The name
     * @param pemail The email
     */
    public Person(final String pname, final String pemail) {
        this.name = pname;
        this.email = pemail;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String toString() {
        // @todo #19 It is temporary solution only
        return this.email;
    }

    /**
     * Name of the person.
     * @return The name
     */
    public String name() {
        return this.name;
    }

    /**
     * Email of the person.
     * @return The email
     */
    public String email() {
        return this.email;
    }

}
